cURL
curl --request DELETE \ --url https://api.ravan.ai/api/v1/rag/knowledge-base/{kb_id}/source/{source_id} \ --header 'X-Api-Key: <api-key>'
{ "success": true, "message": "<string>", "data": { "knowledge_base_id": "<string>", "knowledge_base_name": "<string>", "status": "<string>", "enable_auto_refresh": true, "knowledge_base_sources": [ { "source_id": "<string>", "source_type": "<string>", "source_name": "<string>", "source_url": "<string>", "source_status": "<string>", "created_timestamp": 123 } ], "created_timestamp": 123, "last_updated_timestamp": 123 } }
Delete Source from Knowledge Base.
Documentation IndexFetch the complete documentation index at: https://docs.ravan.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.ravan.ai/llms.txt
Use this file to discover all available pages before exploring further.
Knowledge Base ID
Source ID
Successful response
Show child attributes